import {Component, OnInit} from '@angular/core';
import {InputComponentManagerService} from './input-component-manager.service';
import {Step} from './step';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  public steps: Step[] = [];

  constructor(private inputComponentManagerService: InputComponentManagerService) {
  }

  ngOnInit(): void {
    this.steps = this.inputComponentManagerService.getAllComponents();
    this.inputComponentManagerService.getFirst();
  }
}
